Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000082RadioSurebugpublic2009-04-09 16:362009-04-22 13:56
Reporterguest 
Assigned Toadministrator 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.8.820 
Target VersionFixed in Version2.0.856 
Summary0000082: Accessibility Features for blind people
DescriptionPlease label buttons so they are properly identified when tabbed to with a screen reader. Blind people can use the program, but when we tab from button to button, all we hear is "button". This makes it difficult to do anything, even muting the sound can be a challenge.

Please consider adding keyboard shortcuts for the buttons. This would benefit everyone, ALT+R to record, space to mute, are just some possible suggestions.

When navigating the list of radio stations, the blind use the up and down arrow keys. Please add the ability to "jump" to the first station in the letter of the alphabet. For example, when on the list and the user hits "s", program should jump to the first station that starts with s. This would make for faster navigation of the tons of stations you have.

In the search box, I can't do a search. When I enter text and press enter, nothing seems to happen.
Additional InformationMany people use the computer without a mouse. The program needs to take this into consideration. For more information on screen readers, see http://www.freedomscientific.com [^] and download the demo of JAWS for Windows.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000109)
administrator (administrator)
2009-04-15 00:02

Fixed in build 847

- Issue History
Date Modified Username Field Change
2009-04-09 16:36 guest New Issue
2009-04-13 11:02 administrator Status new => acknowledged
2009-04-13 11:04 administrator Category => bug
2009-04-15 00:02 administrator Note Added: 0000109
2009-04-15 00:02 administrator Status acknowledged => resolved
2009-04-15 00:02 administrator Fixed in Version => 1.9.x
2009-04-15 00:02 administrator Resolution open => fixed
2009-04-15 00:02 administrator Assigned To => administrator
2009-04-22 13:56 administrator Summary Accessibility Features are needed => Accessibility Features for blind people


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker